Move content into a folder#

Description#

Sets the children of a folder using the entities’ types and IDs provided in the body. If the entities previously resided under a folder, including the root, they move to the folder with the provided ID. If the provided ID is ‘null’, the entities move to the root folder.

POST /api/v1/folder/{folderId}/children

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

folderId

path

string

true

The unique identifier of the folder

Body parameter example#

[
  {
    "id": "string",
    "type": 0
  }
]

Code Samples#

curl -X POST https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http POST https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children \
    Content-Type:application/json \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=POST "https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children" \
    --output-document -  \ 
    --header 'Content-Type: application/json' \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.post('https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains an array of FolderableDto objects for the moved entities.

Example Responses#

{
  "body": [
    {
      "created": "string",
      "description": "string",
      "id": "string",
      "metadata": {},
      "modified": "string",
      "modifiedBy": "string",
      "name": "string",
      "parentId": "string",
      "type": "integer",
      "updated": "string",
      "updatedBy": "string"
    }
  ],
  "code": "integer"
}